osgWidget::EventInterface Class Reference

`#include <EventInterface>`

Inheritance diagram for osgWidget::EventInterface:

## Public Types

typedef std::list< osg::ref_ptr< Callback > > | CallbackList

## Public Member Functions

| EventInterface ()
| EventInterface (const EventInterface &ei)
virtual | ~EventInterface ()
virtual bool | focus (const WindowManager *)
virtual bool | unfocus (const WindowManager *)
virtual bool | mouseEnter (double, double, const WindowManager *)
virtual bool | mouseOver (double, double, const WindowManager *)
virtual bool | mouseLeave (double, double, const WindowManager *)
virtual bool | mouseDrag (double, double, const WindowManager *)
virtual bool | mousePush (double, double, const WindowManager *)
virtual bool | mouseRelease (double, double, const WindowManager *)
virtual bool | mouseScroll (double, double, const WindowManager *)
virtual bool | keyDown (int, int, const WindowManager *)
virtual bool | keyUp (int, int, const WindowManager *)
void | setEventMask (unsigned int mask)
void | addEventMask (unsigned int mask)
void | removeEventMask (unsigned int mask)
unsigned int | getEventMask () const
CallbackList & | getCallbacks ()
const CallbackList & | getCallbacks () const
void | addCallback (Callback *cb)
bool | callCallbacks (Event &ev)
bool | callMethodAndCallbacks (Event &ev)
bool | canFocus () const
bool | canUnfocus () const
bool | canMouseEnter () const
bool | canMouseOver () const
bool | canMouseLeave () const
bool | canMouseDrag () const
bool | canMousePush () const
bool | canMouseRelease () const
bool | canMouseScroll () const
bool | canKeyDown () const
bool | canKeyUp () const

## Member Typedef Documentation

## CallbackList

typedef std::list<osg::ref_ptr<Callback> > osgWidget::EventInterface::CallbackList

## Constructor & Destructor Documentation

## EventInterface() [1/2]

osgWidget::EventInterface::EventInterface | ( |  | ) |

inline

References osgWidget::EVENT_NONE.

Referenced by EventInterface().

## EventInterface() [2/2]

osgWidget::EventInterface::EventInterface | ( | const EventInterface & | ei | ) |

inline

References EventInterface().

## ~EventInterface()

virtual osgWidget::EventInterface::~EventInterface | ( |  | ) |

inline virtual

## Member Function Documentation

## addCallback()

void osgWidget::EventInterface::addCallback | ( | Callback * | cb | ) |

inline

Referenced by osgWidget::Window::attachMoveCallback(), osgWidget::Window::attachRotateCallback(), osgWidget::Window::attachScaleCallback(), and osgWidget::Window::attachTabFocusCallback().

## addEventMask()

void osgWidget::EventInterface::addEventMask | ( | unsigned int | mask | ) |

inline

## callCallbacks()

bool osgWidget::EventInterface::callCallbacks | ( | Event & | ev | ) |

inline

References osgWidget::EVENT_NONE, osgWidget::Event::setData(), and osgWidget::Event::type.

Referenced by callMethodAndCallbacks().

## callMethodAndCallbacks()

bool osgWidget::EventInterface::callMethodAndCallbacks | ( | Event & | ev | ) |

inline

References callCallbacks(), osgWidget::EVENT_FOCUS, osgWidget::EVENT_KEY_DOWN, osgWidget::EVENT_KEY_UP, osgWidget::EVENT_MOUSE_DRAG, osgWidget::EVENT_MOUSE_ENTER, osgWidget::EVENT_MOUSE_LEAVE, osgWidget::EVENT_MOUSE_OVER, osgWidget::EVENT_MOUSE_PUSH, osgWidget::EVENT_MOUSE_RELEASE, osgWidget::EVENT_MOUSE_SCROLL, osgWidget::EVENT_NONE, osgWidget::EVENT_UNFOCUS, focus(), osgWidget::Event::getWindowManager(), osgWidget::Event::key, keyDown(), osgWidget::Event::keyMask, keyUp(), mouseDrag(), mouseEnter(), mouseLeave(), mouseOver(), mousePush(), mouseRelease(), mouseScroll(), osgWidget::Event::type, unfocus(), osgWidget::Event::x, and osgWidget::Event::y.

## canFocus()

bool osgWidget::EventInterface::canFocus | ( |  | ) | const

inline

References osgWidget::EVENT_FOCUS.

## canKeyDown()

bool osgWidget::EventInterface::canKeyDown | ( |  | ) | const

inline

References osgWidget::EVENT_KEY_DOWN.

## canKeyUp()

bool osgWidget::EventInterface::canKeyUp | ( |  | ) | const

inline

References osgWidget::EVENT_KEY_UP.

## canMouseDrag()

bool osgWidget::EventInterface::canMouseDrag | ( |  | ) | const

inline

References osgWidget::EVENT_MOUSE_DRAG.

## canMouseEnter()

bool osgWidget::EventInterface::canMouseEnter | ( |  | ) | const

inline

References osgWidget::EVENT_MOUSE_ENTER.

## canMouseLeave()

bool osgWidget::EventInterface::canMouseLeave | ( |  | ) | const

inline

References osgWidget::EVENT_MOUSE_LEAVE.

## canMouseOver()

bool osgWidget::EventInterface::canMouseOver | ( |  | ) | const

inline

References osgWidget::EVENT_MOUSE_OVER.

## canMousePush()

bool osgWidget::EventInterface::canMousePush | ( |  | ) | const

inline

References osgWidget::EVENT_MOUSE_PUSH.

## canMouseRelease()

bool osgWidget::EventInterface::canMouseRelease | ( |  | ) | const

inline

References osgWidget::EVENT_MOUSE_RELEASE.

## canMouseScroll()

bool osgWidget::EventInterface::canMouseScroll | ( |  | ) | const

inline

References osgWidget::EVENT_MOUSE_SCROLL.

## canUnfocus()

bool osgWidget::EventInterface::canUnfocus | ( |  | ) | const

inline

References osgWidget::EVENT_UNFOCUS.

## focus()

virtual bool osgWidget::EventInterface::focus | ( | const WindowManager * |  | ) |

inline virtual

Reimplemented in osgWidget::Input, osgWidget::NotifyWidget, and osgWidget::NullWidget.

Referenced by callMethodAndCallbacks().

## getCallbacks() [1/2]

CallbackList & osgWidget::EventInterface::getCallbacks | ( |  | ) |

inline

## getCallbacks() [2/2]

const CallbackList & osgWidget::EventInterface::getCallbacks | ( |  | ) | const

inline

## getEventMask()

unsigned int osgWidget::EventInterface::getEventMask | ( |  | ) | const

inline

Referenced by osgWidget::WindowManager::getFirstEventInterface().

## keyDown()

virtual bool osgWidget::EventInterface::keyDown | ( | int | ,
|  | int | ,
|  | const WindowManager * | )

inline virtual

Reimplemented in osgWidget::Input.

Referenced by callMethodAndCallbacks().

## keyUp()

virtual bool osgWidget::EventInterface::keyUp | ( | int | ,
|  | int | ,
|  | const WindowManager * | )

inline virtual

Reimplemented in osgWidget::Input.

Referenced by callMethodAndCallbacks().

## mouseDrag()

virtual bool osgWidget::EventInterface::mouseDrag | ( | double | ,
|  | double | ,
|  | const WindowManager * | )

inline virtual

Reimplemented in osgWidget::Frame::Border, osgWidget::Frame::Corner, osgWidget::Input, osgWidget::NotifyWidget, and osgWidget::NullWidget.

Referenced by callMethodAndCallbacks().

## mouseEnter()

virtual bool osgWidget::EventInterface::mouseEnter | ( | double | ,
|  | double | ,
|  | const WindowManager * | )

inline virtual

Reimplemented in osgWidget::NotifyWidget, and osgWidget::NullWidget.

Referenced by callMethodAndCallbacks().

## mouseLeave()

virtual bool osgWidget::EventInterface::mouseLeave | ( | double | ,
|  | double | ,
|  | const WindowManager * | )

inline virtual

Reimplemented in osgWidget::NotifyWidget, and osgWidget::NullWidget.

Referenced by callMethodAndCallbacks().

## mouseOver()

virtual bool osgWidget::EventInterface::mouseOver | ( | double | ,
|  | double | ,
|  | const WindowManager * | )

inline virtual

Reimplemented in osgWidget::NotifyWidget, and osgWidget::NullWidget.

Referenced by callMethodAndCallbacks().

## mousePush()

virtual bool osgWidget::EventInterface::mousePush | ( | double | ,
|  | double | ,
|  | const WindowManager * | )

inline virtual

Reimplemented in osgWidget::Input, osgWidget::NotifyWidget, and osgWidget::NullWidget.

Referenced by callMethodAndCallbacks().

## mouseRelease()

virtual bool osgWidget::EventInterface::mouseRelease | ( | double | ,
|  | double | ,
|  | const WindowManager * | )

inline virtual

Reimplemented in osgWidget::Input, osgWidget::NotifyWidget, and osgWidget::NullWidget.

Referenced by callMethodAndCallbacks().

## mouseScroll()

virtual bool osgWidget::EventInterface::mouseScroll | ( | double | ,
|  | double | ,
|  | const WindowManager * | )

inline virtual

Reimplemented in osgWidget::NotifyWidget, and osgWidget::NullWidget.

Referenced by callMethodAndCallbacks().

## removeEventMask()

void osgWidget::EventInterface::removeEventMask | ( | unsigned int | mask | ) |

inline

## setEventMask()

void osgWidget::EventInterface::setEventMask | ( | unsigned int | mask | ) |

inline

Referenced by osgWidget::NotifyWidget::NotifyWidget(), and osgWidget::NullWidget::NullWidget().

## unfocus()

virtual bool osgWidget::EventInterface::unfocus | ( | const WindowManager * |  | ) |

inline virtual

Reimplemented in osgWidget::Input, osgWidget::NotifyWidget, and osgWidget::NullWidget.

Referenced by callMethodAndCallbacks().

The documentation for this class was generated from the following file:

- EventInterface